Bug 169755 - can not detect megaraid disk correctly
can not detect megaraid disk correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 02:45 EDT by victor wang
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 21:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description victor wang 2005-10-03 02:45:00 EDT
Description of problem:
The kernel can not detect megaraid disk correctly.boot info:
Oct  2 16:37:41 hpsvr kernel: Linux version 2.6.13-1.1588_FC5 
(bhcompile@tweety.build.redhat.com) (gcc version 4.0.2 20050928
(Red Hat 4.0.2-1)) #1 Fri Sep 30 20:14:05 EDT 2005
...
Oct  2 16:37:50 hpsvr kernel: PCI: Found IRQ 7 for device 0000:03:03.1
Oct  2 16:37:50 hpsvr kernel: megaraid: found 0x8086:0x1960:bus 3:slot 3:func 1
Oct  2 16:37:50 hpsvr kernel: scsi1:Found MegaRAID controller at 0xe081e000, 
IRQ:5
Oct  2 16:37:50 hpsvr kernel: megaraid: [E :B ] detected 1 logical drives.
Oct  2 16:37:50 hpsvr kernel: megaraid: channel[0] is raid.
Oct  2 16:37:50 hpsvr kernel: megaraid: channel[1] is raid.
Oct  2 16:37:50 hpsvr kernel: scsi1 : LSI Logic MegaRAID E  254 commands 16 
targs 5 chans 7 luns
Oct  2 16:37:50 hpsvr kernel: scsi1: scanning scsi channel 0 for logical drives.
Oct  2 16:37:50 hpsvr kernel:   Vendor: MegaRAID  Model: LD0 RAID0 10012R  
Rev:   E
Oct  2 16:37:50 hpsvr kernel:   Type:   Direct-Access                      ANSI 
SCSI revision: 02
Oct  2 16:37:50 hpsvr kernel: sdb : sector size 0 reported, assuming 512.
Oct  2 16:37:51 hpsvr kernel: SCSI device sdb: 1 512-byte hdwr sectors (0 MB)
Oct  2 16:37:51 hpsvr kernel: sdb: asking for cache data failed
Oct  2 16:37:51 hpsvr kernel: sdb: assuming drive cache: write through
Oct  2 16:37:51 hpsvr kernel: sdb : sector size 0 reported, assuming 512.
Oct  2 16:37:51 hpsvr kernel: SCSI device sdb: 1 512-byte hdwr sectors (0 MB)
Oct  2 16:37:51 hpsvr kernel: sdb: asking for cache data failed
Oct  2 16:37:51 hpsvr kernel: sdb: assuming drive cache: write through
Oct  2 16:37:52 hpsvr kernel:  sdb: sdb1
Oct  2 16:37:52 hpsvr kernel: Attached scsi disk sdb at scsi1, channel 0, id 0, 
lun 0
Oct  2 16:37:52 hpsvr kernel: scsi1: scanning scsi channel 4 [P0] for physical 
devices.
...
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 0
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 1
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 2
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 3
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 4
Oct  2 16:38:00 hpsvr kernel: Buffer I/O error on device sdb1, logical block 5
Oct  2 16:38:01 hpsvr kernel: Buffer I/O error on device sdb1, logical block 6
Oct  2 16:38:01 hpsvr kernel: Buffer I/O error on device sdb1, logical block 7
Oct  2 16:38:01 hpsvr kernel: Buffer I/O error on device sdb1, logical block 8
Oct  2 16:38:01 hpsvr kernel: Buffer I/O error on device sdb1, logical block 9

but the kernel-2.6.13-1.1542_FC5 is ok. boot info:
Linux version 2.6.13-1.1542_FC5 (bhcompile@bugs.build.redhat.com) (gcc version 
4.0.1 20050906 (Red Hat 4.0.1-13)) #1 Tue Sep 6 18:41:12 EDT 2005
...
PCI: Found IRQ 7 for device 0000:03:03.1
IRQ routing conflict for 0000:03:03.1, have irq 5, want irq 7
megaraid: found 0x8086:0x1960:bus 3:slot 3:func 1
scsi1:Found MegaRAID controller at 0xe0812000, IRQ:5
megaraid: [E :B ] detected 1 logical drives.
megaraid: channel[0] is raid.
megaraid: channel[1] is raid.
scsi1 : LSI Logic MegaRAID E  254 commands 16 targs 5 chans 7 luns
scsi1: scanning scsi channel 0 for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID0 10012R  Rev:   E
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdb: 430104576 512-byte hdwr sectors (220214 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
SCSI device sdb: 430104576 512-byte hdwr sectors (220214 MB)
sdb: asking for cache data failed
sdb: assuming drive cache: write through
 sdb: sdb1
Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
...

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1588_FC5 


How reproducible:
boot

Steps to Reproduce:
1.boot with kernel-2.6.13-1.1588_FC5
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Terrell 2005-12-18 15:01:41 EST
I am experiencing what I suspect is the the same issue running
kernel-2.6.14-1.1637_FC4smp.

Please have a look at Bug #173631.
Comment 2 Alan Miller 2006-04-06 01:17:08 EDT
I cant install fedora on a DELL 1600Sc poweredge.
Older redhat install fine and sees the correct megadriver for the raid array, 
however redora does at the druid stage when it can see any drives in which to 
write to.

Strange how older code works but newer release doesnt !

AGM
Comment 3 Dave Jones 2006-10-16 15:44:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jeremy Katz 2007-05-21 21:42:19 EDT
Closing due to inactivity.  Please reopen or file a new report if you continue
to have problems with current Fedora kernels.

Note You need to log in before you can comment on or make changes to this bug.